Get CA list

Prev Next

Available in VPC

Get the list of certificate authorities (CAs) that issue and manage certificates in a blockchain network.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks/{networkId}/cas (Korea Region)
GET /api/sgn-v1/networks/{networkId}/cas (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
networkId Long Required Network ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Integer Optional Page number
  • 0 (default)
size Integer Optional Size of list viewed
  • 20 (default)

Request example

The following is a sample request.

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/cas?page=0&size=20' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Array - Content details: content
totalElements Long - Total number of CA nodes
totalPages Integer - Total number of pages

content

The following describes content.

Field Type Required Description
networkId Long - Network ID
caId String - CA ID
caName String - CA name
caDatabaseTypeName String - CA's state database type
  • Only SQLITE can be queried
status String - CA status
  • ACTIVE | DEPLOY | DELETE
    • ACTIVE: running
    • DEPLOY: deploying
    • DELETE: deleting
createDate LocalDateTime - CA creation date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

{
    "content": [
        {
            "networkId": 1630,
            "caId": "25728700",
            "caName": "test-ca",
            "caDatabaseTypeName": "SQLITE",
            "status": "ACTIVE",
            "createDate": "2024-07-29T07:30:59+0000"
        }
    ],
    "totalElements": 1,
    "totalPages": 1
}